# API Reference

- [Webhook](https://doc.twake.app/developers-api/api-reference/wehbook.md): How to use webhook with Twake
- [Drive](https://doc.twake.app/developers-api/api-reference/drive.md): How to manage Drive through API
- [Message](https://doc.twake.app/developers-api/api-reference/message.md): How to manage messages through API
- [DELETE Request](https://doc.twake.app/developers-api/api-reference/message/delete-request.md): This method allow to delete message to a specific channel.
- [POST Request](https://doc.twake.app/developers-api/api-reference/message/post-request.md): This method allow to send message to a specific channel.
- [Authentication](https://doc.twake.app/developers-api/api-reference/auth.md): How to manage authentification on API call


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.twake.app/developers-api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
